(TeX-add-style-hook "lextex"
 (function
  (lambda ()
    (LaTeX-add-environments
     "particulars"
     "ostext"
     "summarytext"
     "osinhtext"
     "summons"
     "writtext")
    (TeX-add-symbols
     "endofpleading"
     "endofargs"
     "endgenwrit"
     "endorsement"
     "endofpleading"
     "endofpleading"
     "endofpleading"
     "endofpleading"
     "enddoc"
     "endquote"
     "endlines"
     "dbhelp"
     "lextexisloaded"
     "fmtname"
     "fmtversion"
     "writetime"
     "LeXTeX"
     "LaTeX"
     "tentex"
     "twelverm"
     "ninerm"
     "eightrm"
     "sixrm"
     "fiverm"
     "twelvei"
     "ninei"
     "eighti"
     "sixi"
     "twelvesy"
     "ninesy"
     "eightsy"
     "sixsy"
     "twelvebf"
     "ninebf"
     "twelvett"
     "tentt"
     "ninett"
     "twelvesl"
     "ninesl"
     "twelveit"
     "nineit"
     "headerfont"
     "titlefont"
     "tenu"
     "twelveu"
     "tentiit"
     "fourteencaps"
     "twelvecaps"
     "tencaps"
     "gobble"
     "changefont"
     "testthree"
     "temppounds"
     "pounds"
     "pounds"
     "xu"
     "xul"
     "rmpo"
     "itpo"
     "slpo"
     "bfpo"
     "ttpo"
     "ttkludgepo"
     "pmb"
     "epmb"
     "twelvepoint"
     "rm"
     "pounds"
     "it"
     "pounds"
     "sl"
     "pounds"
     "bf"
     "pounds"
     "tt"
     "pounds"
     "caps"
     "pounds"
     "scaps"
     "pounds"
     "tenpoint"
     "rm"
     "pounds"
     "it"
     "pounds"
     "sl"
     "pounds"
     "bf"
     "pounds"
     "tt"
     "pounds"
     "caps"
     "pounds"
     "scaps"
     "pounds"
     "ninepoint"
     "rm"
     "pounds"
     "it"
     "pounds"
     "sl"
     "pounds"
     "bf"
     "pounds"
     "tt"
     "pounds"
     "fang"
     "fitem"
     "toeindent"
     "thefootnotemark"
     "footnotemark"
     "footnotetext"
     "footnote"
     "adjustfootnotemark"
     "ref"
     "clearnotenumber"
     "clearrecno"
     "clearclno"
     "clearsclno"
     "clearssclno"
     "clearsssclno"
     "clearssssclno"
     "clearsssssclno"
     "cleargreekno"
     "clearcardno"
     "clearexno"
     "clearpageno"
     "reset"
     "xcl"
     "xscl"
     "xsscl"
     "xssscl"
     "xsssscl"
     "xssssscl"
     "rec"
     "srec"
     "normalnumbering"
     "cl"
     "scl"
     "sscl"
     "ssscl"
     "sssscl"
     "ssssscl"
     "computernumbering"
     "clearssclno"
     "clearssssclno"
     "clearsssssclno"
     "clearrecno"
     "cl"
     "scl"
     "sscl"
     "ssscl"
     "sssscl"
     "ssssscl"
     "rec"
     "srec"
     "hcl"
     "ncl"
     "nscl"
     "nsscl"
     "nssscl"
     "nsssscl"
     "nssssscl"
     "tcl"
     "contents"
     "marginalnotes"
     "ctstitle"
     "stitle"
     "contentsname"
     "botofcontents"
     "contentspagenumber"
     "contentsreadfile"
     "contentswritefile"
     "writecontents"
     "readcontents"
     "leaderfill"
     "clname"
     "xreffile"
     "raggedleft"
     "bigpenalty"
     "xrfwarn"
     "printcontents"
     "hat"
     "specialhat"
     "checkit"
     "testdoublehat"
     "silentnote"
     "mnote"
     "anote"
     "clcont"
     "sclcont"
     "ssclcont"
     "sssclcont"
     "contentsentry"
     "checkoldxrf"
     "newxref"
     "clref"
     "pararef"
     "clause"
     "subclause"
     "paragraph"
     "subparagraph"
     "pageref"
     "noteref"
     "schedref"
     "appref"
     "xrfwarn"
     "writexref"
     "nsnbps"
     "nsn"
     "clause"
     "subclause"
     "paragraph"
     "subparagraph"
     "xref"
     "hangit"
     "per"
     "ruledtable"
     "nofancystuff"
     "xo"
     "xxo"
     "xxxo"
     "ul"
     "uul"
     "uuul"
     "setamendcount"
     "ignorespaces"
     "bigpenalty"
     "inform"
     "warn"
     "other"
     "ttverbatim"
     "begintt"
     "beginlines"
     "nrbeginlines"
     "weakendlines"
     "finalendlines"
     "nrendlines"
     "noaddr"
     "noname"
     "nopounds"
     "exhibit"
     "exhibited"
     "bundled"
     "oldnos"
     "bull"
     "Filbreak"
     "st"
     "nd"
     "rd"
     "th"
     "addsuffix"
     "today"
     "longtoday"
     "leapcheck"
     "increasedays"
     "reducedays"
     "daysinmonth"
     "daysinlastmonth"
     "futureday"
     "tomorrow"
     "yesterday"
     "dayofweek"
     "grays"
     "temple"
     "middletemple"
     "innertemple"
     "inn"
     "signed"
     "csettled"
     "cresettled"
     "resettled"
     "jointsettled"
     "rcases"
     "rbracket"
     "lbracket"
     "ssgen"
     "attestationtext"
     "electiontext"
     "testimoniumtext"
     "stampdutytext"
     "ssd"
     "ssc"
     "ssw"
     "witness"
     "singlewitness"
     "sworn"
     "whereas"
     "now"
     "wwhereas"
     "nnow"
     "witnessetc"
     "swornetc"
     "election"
     "sdcert"
     "dovcert"
     "giftcert"
     "fullnumbers"
     "ucfullnumbers"
     "auxfile"
     "checkaux"
     "part"
     "centertext"
     "maybespace"
     "testforother"
     "ca"
     "v"
     "se"
     "bo"
     "on"
     "ok"
     "uc"
     "duc"
     "beginquote"
     "beginsclquote"
     "beginssclquote"
     "beginsssclquote"
     "OldQuotes"
     "rebox"
     "EndOldQuotes"
     "newquotes"
     "oldquotes"
     "dq"
     "xxx"
     "xxx"
     "tlap"
     "blap"
     "frac"
     "vfrac"
     "ifsinglepage"
     "numberpages"
     "singlepage"
     "printsp"
     "bye"
     "backmatter"
     "counsel"
     "formalcounselname"
     "signature"
     "etc"
     "Boxit"
     "upperc"
     "shift"
     "xcenterline"
     "centervers"
     "sols"
     "solname"
     "sname"
     "z"
     "anyname"
     "sols"
     "bsparams"
     "addressfile"
     "bsop"
     "temp"
     "bscopyop"
     "temp"
     "doextras"
     "bsdft"
     "temp"
     "solsref"
     "sref"
     "colsref"
     "cref"
     "timetaken"
     "timespent"
     "casetype"
     "typeofcase"
     "value"
     "amountatstake"
     "difficulty"
     "howhard"
     "proposedfee"
     "suggestedfee"
     "legalaidno"
     "legalaid"
     "comments"
     "remarks"
     "chit"
     "title"
     "cr"
     "noalign"
     "scriptsize"
     "rm"
     "chittext"
     "hfill"
     "temppunct"
     "DeleteOptionalSpaces"
     "DeleteOptionalSpacesandPars"
     "pageparameters"
     "footnoterule"
     "advising"
     "doctype"
     "backmatter"
     "signoff"
     "opinion"
     "note"
     "advice"
     "jopinion"
     "signed"
     "nopinion"
     "jnote"
     "signed"
     "draftparameters"
     "footnoterule"
     "backmatter"
     "signoff"
     "signoff"
     "conference"
     "doctype"
     "telcon"
     "doctype"
     "solicitors"
     "plaintiffs"
     "defendants"
     "thirdparties"
     "plaintiffsaddrs"
     "defendantsaddrs"
     "thirdpartiesaddrs"
     "matters"
     "partyname"
     "outofrange"
     "courtname"
     "issuer"
     "chambers"
     "depsname"
     "shortname"
     "depsname"
     "capacity"
     "firm"
     "widow"
     "minor"
     "patient"
     "mw"
     "co"
     "tradingas"
     "as"
     "female"
     "theirsols"
     "theirsolsaddr"
     "doctype"
     "appellant"
     "applicant"
     "respondent"
     "petitioner"
     "petitioner"
     "petitioner"
     "amend"
     "address"
     "address"
     "petitionersaddress"
     "petitionersaddress"
     "xheading"
     "intendedparties"
     "whenadded"
     "added"
     "claims"
     "claim"
     "rightappenditem"
     "select"
     "cardinality"
     "plaintiffsstuff"
     "defendantsstuff"
     "thirdpartiesstuff"
     "currentpartyaddrs"
     "upit"
     "uupit"
     "downit"
     "of"
     "and"
     "nand"
     "converttc"
     "converttokens"
     "party"
     "getparties"
     "partyaddress"
     "getpls"
     "getdefs"
     "gettps"
     "getfps"
     "unsetallparties"
     "plaintiff"
     "defendant"
     "thirdparty"
     "fourthparty"
     "listpls"
     "listdfs"
     "listtps"
     "listfps"
     "slistpls"
     "slistdfs"
     "slisttps"
     "slistfps"
     "topofpleading"
     "doctype"
     "backsheet"
     "generic"
     "doctype"
     "pleading"
     "signoff"
     "signoff"
     "spleading"
     "signoff"
     "signoff"
     "gettitle"
     "headingskip"
     "parties"
     "sparties"
     "listparties"
     "slistparties"
     "bottomofpleading"
     "addressfile"
     "cr"
     "cr"
     "inthematter"
     "and"
     "served"
     "reserved"
     "rereserved"
     "rerereserved"
     "writissued"
     "getservicedate"
     "sserved"
     "day"
     "month"
     "year"
     "setamendcount"
     "amendstuff"
     "hcendofpleading"
     "ccendofpleading"
     "acl"
     "aacl"
     "aaacl"
     "ascl"
     "aascl"
     "aaascl"
     "dateofservice"
     "dateofreservice"
     "dateofrereservice"
     "dateofrerereservice"
     "datewritissued"
     "resetpleadingdefaults"
     "dateofservice"
     "dateofreservice"
     "dateofrereservice"
     "datewritissued"
     "arrangement"
     "soc"
     "Writissued"
     "defence"
     "Writissued"
     "dacc"
     "Writissued"
     "counterclaim"
     "Writissued"
     "reply"
     "Writissued"
     "rdcc"
     "Writissued"
     "poc"
     "Writissued"
     "affyno"
     "affno"
     "itsaspace"
     "itsaletter"
     "maccheck"
     "itspunctuation"
     "clearexno"
     "of"
     "hisaddr"
     "hisaddr"
     "occupation"
     "hisoccupation"
     "hisoccupation"
     "comma"
     "nooccupation"
     "hisoccupation"
     "comma"
     "tempt"
     "tilde"
     "tempb"
     "blank"
     "whatsnext"
     "fullname"
     "depsname"
     "blank"
     "affidavit"
     "signoff"
     "signoff"
     "doextras"
     "doextras"
     "bsendorsement"
     "getendorsement"
     "frontsheet"
     "getfrontsheets"
     "order"
     "statementofclaim"
     "sjsummons"
     "spsummons"
     "defenceandcounterclaim"
     "doctype"
     "backsheet"
     "reply"
     "doctype"
     "replyanddefencetocounterclaim"
     "doctype"
     "counterclaim"
     "served"
     "chittitle"
     "specifictext"
     "summonstext"
     "subjectmatter"
     "matter"
     "estate"
     "re"
     "res"
     "forwhom"
     "notforwhom"
     "court"
     "highcourt"
     "countycourt"
     "getcourtname"
     "getnameofcase"
     "dateref"
     "caseref"
     "courtname"
     "courtofappeal"
     "appealtext"
     "houseoflords"
     "chancery"
     "divref"
     "issuer"
     "chambers"
     "queensbench"
     "divref"
     "issuer"
     "chambers"
     "familydivision"
     "divref"
     "issuer"
     "chambers"
     "subdivision"
     "companiescourt"
     "commercialcourt"
     "OR"
     "probateregistry"
     "mrjustice"
     "judge"
     "mrjustice"
     "judgename"
     "mast"
     "master"
     "mast"
     "mastername"
     "divref"
     "dateref"
     "caseref"
     "casenumber"
     "issued"
     "writissued"
     "issued"
     "writissued"
     "no"
     "casenumber"
     "dateref"
     "caseref"
     "reference"
     "attention"
     "attentionof"
     "comment"
     "faxtext"
     "backsheet"
     "beginos"
     "footnoterule"
     "against"
     "engrossment"
     "csettled"
     "cresettled"
     "setexno"
     "clearexno"
     "advancepageno"
     "plainoutput"
     "backmatter"
     "signoff"
     "bstitle"
     "title"
     "default"
     "argument"
     "highcourtdefaults"
     "divref"
     "dateref"
     "caseref"
     "casenumber"
     "probatedefaults"
     "divref"
     "sparties"
     "countycourtdefaults"
     "divref"
     "morecountycourtdefaults"
     "divref"
     "division"
     "chanceryp"
     "divref"
     "issuer"
     "chambers"
     "countycourtstuff"
     "probate"
     "setuphcrefs"
     "setupfamrefs"
     "setupccrefs"
     "setuphighcourt"
     "dateref"
     "caseref"
     "casenumber"
     "setupfamcourt"
     "dateref"
     "caseref"
     "casenumber"
     "setupcountycourt"
     "dateref"
     "caseref"
     "casenumber"
     "lookatarg"
     "thisarg"
     "go"
     "go"
     "go"
     "registry"
     "regis"
     "appealcourt"
     "apcourt"
     "apcourt"
     "getbstitlewidth"
     "datesworn"
     "whensworn"
     "origprocess"
     "signoff"
     "signoff"
     "osinheritance"
     "specialwrit"
     "generalwrit"
     "writ"
     "pageparameters"
     "footnoterule"
     "myaddress"
     "ouraddress"
     "faxsheet"
     "printfaxsheet"
     "backmatter"
     "signoff"
     "title"
     "addressfile"
     "eightsl"
     "eightit"
     "ca"
     "v"
     "se"
     "signed"
     "jsigned"
     "copysigned"
     "csettled"
     "cresettled"
     "silenthyphen"
     "footnotemark"
     "instructions"
     "doctype"
     "temp"
     "writecontents"
     "minutes"
     "dovcert"
     "giftcert"
     "capacityfont"
     "capacity"
     "beginparticulars"
     "Writissued"
     "amendnote"
     "amend")
    (TeX-run-style-hooks
     "txsruled"
     "rhlocal"))))

